For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment intents
      • GETGet payment intent by ID
      • PATCHUpdate the payment intent amount
      • GETGet the payment intent history
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment intents

Get the payment intent history

GET
/payment_intents/:payment_intent_id/history
GET
/v1/payment_intents/:payment_intent_id/history
$curl https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id/history \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "payment_intent_id": "payment_intent_id",
8 "status": "status"
9 }
10 ]
11}
Was this page helpful?
Previous

Create a payment link

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_intent_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects
Payment intent history

Errors

422
Get Payment Intents ID History Request Unprocessable Entity Error
500
Get Payment Intents ID History Request Internal Server Error